extends Node

@export var state_machine: PlayerStateMachine

# Public Methods
func OnMovementInput(_movement_vector: Vector2) -> void:
	var current_state := state_machine.GetCurrentStateEnum()
	if current_state == PlayerStateMachine.States.IDLE:
		var idle_state := state_machine.current_state as PlayerIdleState
		idle_state.QueueMovement()
